org.apache.poi.xssf.usermodel

## Enum XSSFWorkbookType

- java.lang.Object
- - java.lang.Enum<XSSFWorkbookType>
  - - org.apache.poi.xssf.usermodel.XSSFWorkbookType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<XSSFWorkbookType>

      public enum XSSFWorkbookType
      extends java.lang.Enum<XSSFWorkbookType>

  Represents the two different kinds of XML-based OOXML document.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `XLSM`
    `XLSX`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getContentType()`
    `java.lang.String` | `getExtension()`
    `static XSSFWorkbookType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static XSSFWorkbookType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### XLSX

          public static final XSSFWorkbookType XLSX

    - #### XLSM

          public static final XSSFWorkbookType XLSM

  - ### Method Detail

    - #### values

          public static XSSFWorkbookType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XSSFWorkbookType c : XSSFWorkbookType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XSSFWorkbookType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getContentType

          public java.lang.String getContentType()

    - #### getExtension

          public java.lang.String getExtension()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.